com.hazelcast.org.snakeyaml.engine.v1.constructor

## Class StandardConstructor

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.constructor.BaseConstructor
  - - com.hazelcast.org.snakeyaml.engine.v1.constructor.StandardConstructor

-     public class StandardConstructor
      extends BaseConstructor

  Construct standard Java classes

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `StandardConstructor.ConstructOptionalClass`
    `static class` | `StandardConstructor.ConstructUndefined`
    `class` | `StandardConstructor.ConstructUuidClass`
    `class` | `StandardConstructor.ConstructYamlBinary`
    `class` | `StandardConstructor.ConstructYamlBool`
    `class` | `StandardConstructor.ConstructYamlFloat`
    `class` | `StandardConstructor.ConstructYamlInt`
    `class` | `StandardConstructor.ConstructYamlMap`
    `class` | `StandardConstructor.ConstructYamlNull`
    `class` | `StandardConstructor.ConstructYamlOmap`
    `class` | `StandardConstructor.ConstructYamlSeq`
    `class` | `StandardConstructor.ConstructYamlSet`
    `class` | `StandardConstructor.ConstructYamlStr`

  - ### Field Summary

    - ### Fields inherited from class com.hazelcast.org.snakeyaml.engine.v1.constructor.BaseConstructor

      `settings, tagConstructors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardConstructor(LoadSettings settings)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `constructMapping2ndStep(MappingNode node, Map<Object,Object> mapping)`
    `protected void` | `constructSet2ndStep(MappingNode node, Set<Object> set)`
    `protected void` | `flattenMapping(MappingNode node)`
    `protected void` | `processDuplicateKeys(MappingNode node)`

    - ### Methods inherited from class com.hazelcast.org.snakeyaml.engine.v1.constructor.BaseConstructor

      `construct, constructMapping, constructObject, constructObjectNoCheck, constructScalar, constructSequence, constructSequenceStep2, constructSet, constructSingleDocument, createArray, createDefaultList, createDefaultMap, createDefaultSet, getConstructor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardConstructor

          public StandardConstructor(LoadSettings settings)

  - ### Method Detail

    - #### flattenMapping

          protected void flattenMapping(MappingNode node)

    - #### processDuplicateKeys

          protected void processDuplicateKeys(MappingNode node)

    - #### constructMapping2ndStep

          protected void constructMapping2ndStep(MappingNode node,
                                                 Map<Object,Object> mapping)

      Overrides:
        `constructMapping2ndStep` in class `BaseConstructor`

    - #### constructSet2ndStep

          protected void constructSet2ndStep(MappingNode node,
                                             Set<Object> set)

      Overrides:
        `constructSet2ndStep` in class `BaseConstructor`

Copyright © 2020. All rights reserved.